﻿----------------------------



math.randomseed(os.time())

function dofileAndTrace(szName)
	cpp_Trace(szName.." .. 开始加载")
	require(szName)
	cpp_Trace(szName.." .. 加载成功")
	collectgarbage("collect")
end;




function ccp_Trace(msg)
	cpp_Trace("ccp_Trace:"..msg);
end


function trace( tb )
	if type(tb)~="table" then
		cpp_Trace("TaoTrace:"..tostring(tb));
	else
		local str=""
		for k,v in pairs(tb) do
			str=str.."    "..tostring(v)
		end
		cpp_Trace("TaoTrace:"..str);
	end
end

function tryCatchFun(func,msg)
	-- body
	xpcall(func, function (errors)
		-- body
		trace({"tryCatchFun error",msg,errors})
	end)
end

--加载策划数据表
local function loadGameData()
	dofileAndTrace("Lua/PilotLev.lua")
	dofileAndTrace("Lua/MainPlaneLev.lua")
	dofileAndTrace("Lua/MainShuXing.lua")
	dofileAndTrace("Lua/Bossplane.lua")
	dofileAndTrace("Lua/Define_Item.lua")
	dofileAndTrace("Lua/Flightpath.lua")
	dofileAndTrace("Lua/Item_Buff.lua")
	dofileAndTrace("Lua/Shop.lua")
	dofileAndTrace("Lua/Shot_Track.lua")
	dofileAndTrace("Lua/WingmanLev.lua")
	dofileAndTrace("Lua/MainPlaneBullet.lua")
	dofileAndTrace("Lua/HostileBullet_Table.lua")
	dofileAndTrace("Lua/DefineBoss.lua")
	dofileAndTrace("Lua/Item_cg.lua")
	dofileAndTrace("Lua/Task.lua")
	dofileAndTrace("Lua/CirculationBoss.lua")
	dofileAndTrace("Lua/gold_pay.lua")
	dofileAndTrace("Lua/gold_dorp.lua")
	dofileAndTrace("Lua/Animation.lua")
	dofileAndTrace("Lua/json.lua")
	dofileAndTrace("Lua/SDK_Pay.lua")
end


-- for CCLuaEngine traceback
function __G__TRACKBACK__(msg)
    cpp_Trace("----------------------------------------")
    cpp_Trace("脚本编译错误: " .. tostring(msg) .. "\n")
    cpp_Trace("----------------------------------------")
end

local function main()
    collectgarbage("setpause", 100)
    collectgarbage("setstepmul", 5000)
	cpp_Trace("----------------------------------------")
	cpp_Trace("Init.lua .. 开始加载")
	--加载数据表
	loadGameData()
	-- 适配
	dofileAndTrace("Lua/PointForScreen.lua")
	-- 子弹定义类
	dofileAndTrace("Lua/DefineBullet.lua")
	-- 子弹层
	dofileAndTrace("Lua/LayerBullet.lua")
	-- 加载图片纹理
	dofileAndTrace("Lua/ResMgr.lua")
	-- 加载动画纹理 
	dofileAndTrace("Lua/AnimateMgr.lua")
	-- 加载部分界面的坐标
	dofileAndTrace("Lua/UI.lua")
	-- 金币层
	dofileAndTrace("Lua/DefineCoinAndDiamond.lua")
	-- 对话框场景
	dofileAndTrace("Lua/SceneDialog.lua")
	-- 游戏场景
	dofileAndTrace("Lua/SceneGame.lua")
	-- 游戏结算场景
	dofileAndTrace("Lua/SceneCalc.lua")
	-- 背景定义类
	dofileAndTrace("Lua/DefineBackground.lua")
	-- 背景层
	dofileAndTrace("Lua/LayerBackground.lua")
	-- 主角机定义类
	dofileAndTrace("Lua/DefineMainPlane.lua")
	-- 敌机定义类
	dofileAndTrace("Lua/DefineEnemyPlane.lua")
	-- boss定义类
	dofileAndTrace("Lua/DefineBossPlane.lua")
	-- 敌机层
	dofileAndTrace("Lua/LayerEnemyPlane.lua")
	-- 得分定义类
	dofileAndTrace("Lua/DefineScore.lua")
	-- 得分层
	dofileAndTrace("Lua/LayerScore.lua")
	-- 掉落定义类
	dofileAndTrace("Lua/DefineItem.lua")
	-- 掉落层
	dofileAndTrace("Lua/LayerItem.lua")
	-- buff层定义
	dofileAndTrace("Lua/DefineBuff.lua")
	-- 驾驶员定义
	dofileAndTrace("Lua/DefineDriver.lua")
	-- 金币标题头的UI
	dofileAndTrace("Lua/ui_CoinAndDiamondTitle.lua")
	--计费、后台配置表
	dofileAndTrace("Lua/SDK_payCodeSelect.lua")
	--成就系统
	dofileAndTrace("Lua/ui_LayerAchievementSystem.lua")
	--
	dofileAndTrace("Lua/TLabelAtlas.lua")
	-- 动作类
	dofileAndTrace("Lua/TActions.lua")
	--场景-主菜单
	dofileAndTrace("Lua/SceneNewMainMenu.lua")
	--全局函数
	dofileAndTrace("Lua/GlobalFun.lua")
	--连续登陆场景
	dofileAndTrace("Lua/SceneReward.lua")
	--动态充值场景
	dofileAndTrace("Lua/SceneDynamicTopUp.lua")
	--过渡场景
	dofileAndTrace("Lua/SceneMidLoad.lua")
	--声音资源
	dofileAndTrace("Lua/SoundRes.lua")
	--货币场景
	--dofileAndTrace("Lua/SceneCurrency.lua")
	--存档管理
	--dofileAndTrace("Lua/SaveMrg.lua")
	--新手引导
	--dofileAndTrace("lua/LayerGuide");
	cpp_Trace("Init.Lua/guideText.lua .. 加载成功")
	--dofileAndTrace("Lua/guideText.lua");

	--PJGAN 2015 05 28
	cpp_Trace("Init.Lua/guideTips.lua .. 加载成功")
	dofileAndTrace("Lua/guideTips.lua");
	
	cpp_Trace("Init.lua .. 加载成功")
	cpp_Trace("----------------------------------------")





end;

xpcall(main, __G__TRACKBACK__)


